Tibata Docs
API ReferenceSpaces

Update Space

Updates a space by ID

PATCH
/v1/spaces/{id}

Authorization

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonRequired

Space fields to update

namestring

Name of the space

slugstring

URL-friendly identifier for the space, unique within the organization

Pattern: "^[a-z0-9]+(?:-[a-z0-9]+)*$"
descriptionstring

Short description of the space

Path Parameters

idRequiredstring

ID of space

curl -X PATCH "https://api.tibata.ai/v1/spaces/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "slug": "string",
    "description": "string"
  }'

Space updated

{
  "data": {
    "id": "string",
    "name": "string",
    "slug": "string",
    "description": "string",
    "url": "http://example.com"
  }
}